/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents metadata about other entities.
 * @export
 * @interface MetadataInput
 */
export interface MetadataInput {
    /**
     * 
     * @type {number}
     * @memberof MetadataInput
     */
    'version'?: number;
    /**
     * 
     * @type {string}
     * @memberof MetadataInput
     */
    'created_by'?: string;
    /**
     * 
     * @type {string}
     * @memberof MetadataInput
     */
    'created_on'?: string;
    /**
     * 
     * @type {string}
     * @memberof MetadataInput
     */
    'last_modified_by'?: string;
    /**
     * 
     * @type {string}
     * @memberof MetadataInput
     */
    'last_modified_on'?: string;
    /**
     * The version of the PDM used to generate the entity
     * @type {string}
     * @memberof MetadataInput
     */
    'pdm_version'?: string;
}

